Bug 1951210 - Pod log filename no longer in <pod-name>-<container-name>.log format
Summary: Pod log filename no longer in <pod-name>-<container-name>.log format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.z
Assignee: Jon Jackson
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On: 1945630
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-19 20:11 UTC by OpenShift BugZilla Robot
Modified: 2021-07-27 11:22 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: During a previous bug fix, the download link for pod logs was changed to a standard HTML anchor element with an empty download attribute. Consequence: The downloaded file lost the previous default file name format. Fix: Add a file name to the anchor element download attribute Result: A default file name formatted as "<pod-name>-<container-name>.log" is used when downloading pod logs.
Clone Of:
Environment:
Last Closed: 2021-06-15 09:26:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8707 0 None open [release-4.7] Bug 1951210: Fix default resource log download file name 2021-04-19 20:11:47 UTC
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:27:26 UTC

Comment 1 Yadan Pei 2021-04-20 03:09:31 UTC
changing QA Contact to correct person to follow the z-stream bug fix premerge testing process

Comment 2 Xiyun Zhao 2021-04-22 07:10:40 UTC
This bug has been fixed and verified on private payload by following code change #8707

Verify Step:
1. Login to admin console
2. Navigate to the Workloads>pods and download logs from the details 
3. Check the log name format

Result:
The format of the log name has been update to <pod-name>-<container-name>.log

Comment 5 Yadan Pei 2021-05-31 07:15:33 UTC
fix PR has been verified before merging, fix PR is included in 4.7.0-0.nightly-2021-05-27-172500 so moving to VERIFIED directly

Comment 7 Siddharth Sharma 2021-06-04 18:38:53 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 11 errata-xmlrpc 2021-06-15 09:26:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.